curl --request GET \
--url https://api-eu.cybedefend.com/project/{projectId}/results/sca/autofix/{jobId}import requests
url = "https://api-eu.cybedefend.com/project/{projectId}/results/sca/autofix/{jobId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-eu.cybedefend.com/project/{projectId}/results/sca/autofix/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "sca-autofix-550e8400-e29b-41d4-a716-446655440000-0",
"projectId": "550e8400-e29b-41d4-a716-446655440000",
"status": "completed",
"success": true,
"message": "Found fixes for 3 out of 5 vulnerabilities",
"results": [
{
"vulnerabilityId": "550e8400-e29b-41d4-a716-446655440000",
"cveId": "CVE-2020-7598",
"severity": "HIGH",
"vulnerablePackage": "minimist",
"vulnerableVersion": "0.0.8",
"dependencyPath": [
"mkdirp@0.5.1",
"minimist@0.0.8"
],
"ecosystem": "npm",
"isTransitive": true,
"fixCandidates": [
{
"parentPackage": "mkdirp",
"currentVersion": "0.5.1",
"proposedVersion": "0.5.5",
"vulnerableChild": "minimist",
"vulnerableChildVersion": "0.0.8",
"requiredChildVersion": "1.2.2",
"updateType": "patch",
"isValid": true,
"fixedChildVersion": "1.2.6"
}
],
"hasFixAvailable": true,
"testedVersionsCount": 5,
"status": "ok",
"summary": "Prototype Pollution in minimist",
"fileName": "package-lock.json",
"recommendedFix": {
"parentPackage": "mkdirp",
"currentVersion": "0.5.1",
"proposedVersion": "0.5.5",
"vulnerableChild": "minimist",
"vulnerableChildVersion": "0.0.8",
"requiredChildVersion": "1.2.2",
"updateType": "patch",
"isValid": true,
"fixedChildVersion": "1.2.6"
},
"errorMessage": "<string>",
"installCommand": "npm install mkdirp@0.5.5"
}
],
"totalVulnerabilities": 5,
"fixableCount": 3,
"unfixableCount": 1,
"errorCount": 1,
"createdAt": "2024-01-15T10:30:00.000Z",
"prResult": {
"created": true,
"prUrl": "https://github.com/org/repo/pull/123",
"prNumber": 123,
"branchName": "fix/sca-autofix-2024-01-15",
"error": "<string>"
},
"completedAt": "2024-01-15T10:31:30.000Z"
}{
"timestamp": "2025-02-18T12:31:18.491Z",
"service": "AiService",
"method": "startConversation",
"message": "Invalid parameters provided",
"code": 400
}Get SCA AutoFix job results
Get the full results of a completed SCA AutoFix job. Returns all analysis results including fix candidates and PR information.
Path Parameters
Project identifier
Job ID returned from the startScaAutoFix endpoint
Response
Job results retrieved successfully
Job ID
"sca-autofix-550e8400-e29b-41d4-a716-446655440000-0"
Project ID
"550e8400-e29b-41d4-a716-446655440000"
Job status
completed, failed, processing, queued "completed"
Whether the analysis was successful
true
Human-friendly summary
"Found fixes for 3 out of 5 vulnerabilities"
Results for each vulnerability
Show child attributes
Show child attributes
Total number of vulnerabilities analyzed
5
Number of vulnerabilities with fixes available
3
Number of vulnerabilities without fixes
1
Number of vulnerabilities that failed analysis
1
Job creation timestamp
"2024-01-15T10:30:00.000Z"
PR creation result
Show child attributes
Show child attributes
Job completion timestamp
"2024-01-15T10:31:30.000Z"